Uploaded image for project: 'Tools (JBoss Tools)'
  1. Tools (JBoss Tools)
  2. JBIDE-16960

with GPE feature removed from JBT 4.40.0.Beta2-SNAPSHOT targetplatform, JBT agg site won't build

    Description

    I removed the deprecated GPE feature [1] because it can't be installed onto Luna (JBIDE-16910).

    [1] https://github.com/jbosstools/jbosstools-target-platforms/pull/48/files#diff-68a1d6fc5e1403b0933f902e7e80915cL387

    So now we get this:

    [ERROR] Cannot resolve project dependencies:
    [ERROR]   Software being installed: org.jboss.tools.site.core raw:4.2.0.'SNAPSHOT'/format(n[.n=0;[.n=0;[-S]]]):4.2.0-SNAPSHOT
    [ERROR]   Missing requirement: org.jboss.tools.gwt.core 1.1.0.Final-v20130205-2223-B78 requires 'bundle com.google.gdt.eclipse.suite 3.0.1' but it could not be found
    [ERROR]   Cannot satisfy dependency: org.jboss.tools.gwt.feature.feature.group 1.1.0.Final-v20130205-2223-B78 depends on: org.jboss.tools.gwt.core [1.1.0.Final-v20130205-2223-B78]
    [ERROR]   Cannot satisfy dependency: org.jboss.tools.site.core raw:4.2.0.'SNAPSHOT'/format(n[.n=0;[.n=0;[-S]]]):4.2.0-SNAPSHOT depends on: org.jboss.tools.gwt.feature.feature.group 0.0.0
    [ERROR] 
    [ERROR] Internal error: java.lang.RuntimeException: No solution found because the problem is unsatisfiable.: [Unable to satisfy dependency from org.jboss.tools.gwt.core 1.1.0.Final-v20130205-2223-B78 to bundle com.google.gwt.eclipse.core 0.0.0.; Unable to satisfy dependency from org.jboss.tools.gwt.core 1.1.0.Final-v20130205-2223-B78 to bundle com.google.gdt.eclipse.suite 3.0.1.; Unable to satisfy dependency from org.jboss.tools.maven.gwt 1.6.0.Beta2-v20140321-0445-B465 to bundle com.google.gwt.eclipse.core 2.5.0.; Unable to satisfy dependency from org.jboss.tools.maven.gwt 1.6.0.Beta2-v20140321-0445-B465 to bundle com.google.gwt.eclipse.oophm 3.0.0.; No solution found because the problem is unsatisfiable.] -> [Help 1]

    At the moment, only com.google.gwt.eclipse.sdkbundle_2.5.1 is present in the Beta2-SNAPSHOT target platform [2]. In the previous TP [3], we had more:

    com.google.appengine.*
    com.google.gdt.eclipse.*
    com.google.gwt.eclipse.core_3.4.2.v201310081834-rel-r43.jar
    com.google.gwt.eclipse.oophm_3.4.2.v201310081834-rel-r43.jar
    com.google.gwt.eclipse.sdkbundle_2.5.1.jar
    

    [2] http://download.jboss.org/jbosstools/targetplatforms/jbosstoolstarget/4.40.0.Beta2-SNAPSHOT/REPO/plugins/
    [3] http://download.jboss.org/jbosstools/targetplatforms/jbosstoolstarget/4.40.0.Beta1/REPO/plugins/


    QUESTIONS:

    Does the org.jboss.tools.gwt.feature need to remain in the JBT update site?

    Or... should I add the com.google.gwt.eclipse.core plugin back into the JBoss Tools 4.40.0.Beta2-SNAPSHOT target platform [2]?

      Gliffy Diagrams

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                fbricon Fred Bricon
                Reporter:
                nickboldt Nick Boldt
              • Votes:
                0 Vote for this issue
                Watchers:
                5 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: